Module java.xml.bind
Package javax.xml.bind

## Class TypeConstraintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.bind.TypeConstraintException

    public class TypeConstraintException
    extends java.lang.RuntimeException

This exception indicates that a violation of a dynamically checked type constraint was detected.

This exception can be thrown by the generated setter methods of the schema derived Java content classes. However, since fail-fast validation is an optional feature for JAXB Providers to support, not all setter methods will throw this exception when a type constraint is violated.

If this exception is throw while invoking a fail-fast setter, the value of the property is guaranteed to remain unchanged, as if the setter were never called.

Since:
  1.6, JAXB 1.0
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
  - Joe Fialli, Sun Microsystems, Inc.
See Also:
  `ValidationEvent`, Serialized Form

### Constructor Summary

Constructors
`TypeConstraintException​(java.lang.String message)` Construct a TypeConstraintException with the specified detail message.
`TypeConstraintException​(java.lang.String message, java.lang.String errorCode)` Construct a TypeConstraintException with the specified detail message and vendor specific errorCode.
`TypeConstraintException​(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Construct a TypeConstraintException with the specified detail message, vendor specific errorCode, and linkedException.
`TypeConstraintException​(java.lang.String message, java.lang.Throwable exception)` Construct a TypeConstraintException with the specified detail message and linkedException.
`TypeConstraintException​(java.lang.Throwable exception)` Construct a TypeConstraintException with a linkedException.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getErrorCode​()` Get the vendor specific error code
`java.lang.Throwable` `getLinkedException​()` Get the linked exception
`void` `printStackTrace​()` Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.
`void` `printStackTrace​(java.io.PrintStream s)` Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.
`void` `setLinkedException​(java.lang.Throwable exception)` Add a linked Exception.
`java.lang.String` `toString​()` Returns a short description of this TypeConstraintException.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Constructor Detail

#### TypeConstraintException

    public TypeConstraintException​(java.lang.String message)

Construct a TypeConstraintException with the specified detail message. The errorCode and linkedException will default to null.

Parameters:
  `message` - a description of the exception

#### TypeConstraintException

    public TypeConstraintException​(java.lang.String message,
                                   java.lang.String errorCode)

Construct a TypeConstraintException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code

#### TypeConstraintException

    public TypeConstraintException​(java.lang.Throwable exception)

Construct a TypeConstraintException with a linkedException. The detail message and vendor specific errorCode will default to null.

Parameters:
  `exception` - the linked exception

#### TypeConstraintException

    public TypeConstraintException​(java.lang.String message,
                                   java.lang.Throwable exception)

Construct a TypeConstraintException with the specified detail message and linkedException. The errorCode will default to null.

Parameters:
  `message` - a description of the exception
  `exception` - the linked exception

#### TypeConstraintException

    public TypeConstraintException​(java.lang.String message,
                                   java.lang.String errorCode,
                                   java.lang.Throwable exception)

Construct a TypeConstraintException with the specified detail message, vendor specific errorCode, and linkedException.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code
  `exception` - the linked exception

### Method Detail

#### getErrorCode

    public java.lang.String getErrorCode​()

Get the vendor specific error code

Returns:
  a string specifying the vendor specific error code

#### getLinkedException

    public java.lang.Throwable getLinkedException​()

Get the linked exception

Returns:
  the linked Exception, null if none exists

#### setLinkedException

    public void setLinkedException​(java.lang.Throwable exception)

Add a linked Exception.

Parameters:
  `exception` - the linked Exception (A null value is permitted and indicates that the linked exception does not exist or is unknown).

#### toString

    public java.lang.String toString​()

Returns a short description of this TypeConstraintException.

Overrides:
  `toString` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace​(java.io.PrintStream s)

Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
Parameters:
  `s` - PrintStream to use for output

#### printStackTrace

    public void printStackTrace​()

Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

Copyright © 2004-2017 Oracle